Subject: [Gen-art] Genart telechat review of draft-ietf-taps-transports-usage-08

From: Roni Even <[email-masked]>
Date: Tue, 05 Sep 2017 04:20:35 -0700

Reviewer: Roni Even
Review result: Ready with Nits

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair. Please wait for direction from your
document shepherd or AD before posting a new version of the draft.

For more information, please see the FAQ at

<https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.

Document: draft-ietf-taps-transports-usage-??
Reviewer: Roni Even
Review Date: 2017-09-05
IETF LC End Date: 2017-09-14
IESG Telechat date: 2017-09-14

Summary: The document is ready with nits to be published as informational RFC

Major issues:

Minor issues:

Nits/editorial comments:
1. I think it will be better to have the introduction as section 1 and the
terminology as section 2 2.In section 3.1 in "open" I did not understand the
following sentence "more than TCP's maximum segment size (minus options used in
the SYN)" 3. in section 6 "The views expressed are solely those of the
author(s)" suggest removing the sentence since this document expresses the
views of the WG. 4. A general readability comment when describing primitives in
pass 2 the structure is
               PRIMITIVENAME.PROTOCOL:
                              Pass 1 primitive / event:
                               Parameters:
                                Returns:
                                Comments:
but it will be easier to read if there is for example a line space between the
paragraphs. look for example at CONNECT.TCP: it is difficult to see where
parameters finish and comment starts